2018/12/26
CSL\CMSIS\DeviceSupport\SWM260.h文件中 BTIRM0_IRQn 改正为 BTIMR0_IRQn

2018/12/28
CSL\SWM260_StdPeriph_Driver\SWM260_uart.c文件中 UART_IsTXBusy() 函数代码由
return (UARTx->CTRL & UART_CTRL_TXIDLE_Msk) ? 0 : 1;
改正为：
if(UARTx->FIFO & UART_FIFO_TXLVL_Msk)
{
	return 1;
}
else
{
	if(((UARTx->BAUD & UART_BAUD_TXD_Msk) == 0) || ((UARTx->CTRL & UART_CTRL_TXIDLE_Msk) == 0))
		return 1;
	else
		return 0;
}

2019/02/13
CSL\SWM260_StdPeriph_Driver\SWM260_exti.c 文件中 EXTI_RawState() 中，将
return (GPIOx->INTRAWSTAT >> 1) & 0x01;
修正为：
return (GPIOx->INTRAWSTAT >> n) & 0x01;

2019/02/13
CSL\SWM260_StdPeriph_Driver\SWM260_gpio.c 文件中，将
bits = 0xFFFFFF >> (24 - w);
修正为：
bits = 0xFFFF >> (16 - w);

2019/02/14
CSL\SWM260_StdPeriph_Driver\SWM260_uart.c文件中，UART_SetBaudrate()修正UART4波特率设置

2019/03/04
CSL\SWM260_StdPeriph_Driver\SWM260_i2c.c 文件中，I2C_Init()中将：
if(initStruct->MstIEn)  I2Cx->MSTCR &= ~(1 << I2C_MSTCR_IE_Pos);
else                    I2Cx->MSTCR |=  (1 << I2C_MSTCR_IE_Pos);
修正为：
if(initStruct->MstIEn)  I2Cx->MSTCR |=  (1 << I2C_MSTCR_IE_Pos);
else                    I2Cx->MSTCR &= ~(1 << I2C_MSTCR_IE_Pos);

CSL\SWM260_StdPeriph_Driver\SWM260_timr.c 文件中，TIMR_INTClr()中将：
TIMRx->IF |= (1 << TIMR_IF_TO_Pos);
修正为：
TIMRx->IF = (1 << TIMR_IF_TO_Pos);

CSL\SWM260_StdPeriph_Driver\SWM260_uart.c 文件中，UART_GetBaudrate()中将：
return (UARTx->BAUD & UART_BAUD_BAUD_Msk);
修正为：
if((UARTx == UART0) || (UARTx == UART1) || (UARTx == UART2) || (UARTx == UART3))
	return SystemCoreClock/16/(((UARTx->BAUD & UART_BAUD_BAUD_Msk) >> UART_BAUD_BAUD_Pos) + 1);
else
	return (SystemCoreClock/2)/16/(((UARTx->BAUD & UART_BAUD_BAUD_Msk) >> UART_BAUD_BAUD_Pos) + 1);
